import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRCommodityTariffClusterCalendarPeriodStruct extends _NSObject {
    static alloc(): _MTRCommodityTariffClusterCalendarPeriodStruct;
    static new(): _MTRCommodityTariffClusterCalendarPeriodStruct;
    init(): _MTRCommodityTariffClusterCalendarPeriodStruct;
    startDate(): _NSNumber | null;
    setStartDate$(value: _NSNumber | null): void;
    dayPatternIDs(): _NSArray;
    setDayPatternIDs$(value: _NSArray): void;
}
export interface _MTRCommodityTariffClusterCalendarPeriodStruct extends _NSCopying {
}
